#pragma once    
#include "CommonHeader.h"
#include "Renderer.h"

namespace XEngine::graphics{
struct platform_interface{
    bool(*initialize)(void);
    void(*shutdown)(void);
};
}// namespace XEngine::graphics

